package com.zipcoder.payment;

public class Check implements Payment{

    private long id;
    private String payerName;
    private String routingNumber;
    private String accountNumber;

    public Check() {
    }

    public Check(long id, String name, String routingNumber, String accountNumber) {
        this.id = id;
        this.payerName = name;
        this.routingNumber = routingNumber;
        this.accountNumber = accountNumber;
    }

    @Override
    public long getId() {
        return this.id;
    }

    @Override
    public int compareTo(Payment payment) {
        return this.getShortDescription().compareTo(payment.getShortDescription());
    }

    @Override
    public String getPayerName() {
        return this.payerName;
    }

    @Override
    public String getShortDescription() {
        return String.format("Check %s ***%s", payerName, accountNumber.substring(accountNumber.length()-4, accountNumber.length()));
    }

    public void setId(long id) {
        this.id = id;
    }

    public void setPayerName(String name) {
        this.payerName = name;
    }

    public void setRoutingNumber(String number) {
        this.routingNumber = number;
    }

    public String getRoutingNumber() {
        return this.routingNumber;
    }

    public void setAccountNumber(String number) {
        this.accountNumber = number;
    }

    public String getAccountNumber() {
        return this.accountNumber;
    }

}
