package com.zipcoder.payment;

public class CreditCard implements Payment{
    private long id;
    private String payerName;
    private String number;
    private int expiredMonth;
    private int expiredYear;

    public CreditCard(){

    }

    public CreditCard(long id, String payerName) {
        this.id = id;
        this.payerName = payerName;
    }

    @Override
    public String getPayerName() {
        return this.payerName;
    }

    @Override
    public String getShortDescription() {
        return String.format("CC %s %s %d/%d", payerName, number.substring(number.length() - 4, number.length()), expiredMonth, expiredYear);
    }

    public void setId(long id) {
        this.id = id;
    }

    @Override
    public long getId() {
        return this.id;
    }

    public void setPayerName(String name) {
        this.payerName = name;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getNumber() {
        return this.number;
    }

    public void setExpiredMonth(int month) {
        this.expiredMonth = month;
    }

    public int getExpiredMonth() {
        return this.expiredMonth;
    }

    public void setExpiredYear(int year) {
        this.expiredYear = year;
    }

    public int getExpiredYear() {
        return this.expiredYear;
    }

    @Override
    public int compareTo(Payment payment) {
        return this.getShortDescription().compareTo(payment.getShortDescription());
    }
}
