package com.zipcoder.payment;

public class PayPal implements Payment{

    private long id = 0;
    private String payerName;
    private String email;

    public PayPal() {
        this.id = this.getId() + 1;
    }

    public PayPal(long id, String name, String email) {
        this.id = id;
        this.payerName = name;
        this.email = email;
    }

    @Override
    public long getId() {
        return this.id;
    }

    @Override
    public String getPayerName() {
        return this.payerName;
    }

    @Override
    public int compareTo(Payment payment) {
        return this.getShortDescription().compareTo(payment.getShortDescription());
    }

    @Override
    public String getShortDescription() {
        return String.format("Paypal %s %s", this.payerName,this.email);
    }

    public void setId(long id) {
        this.id = id;
    }

    public void setPayerName(String name) {
        this.payerName = name;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getEmail() {
        return this.email;
    }

}
