package com.zipcoder.payment;

import java.util.Arrays;
import java.util.Comparator;

public class PaymentPresenter {

    Comparator<Payment> comparator = (Payment p1, Payment p2)  -> {
        Long p1ID = p1.getId();
        Long p2ID = p2.getId();
        return p1ID.compareTo(p2ID);
    };

    public String stringGenerator(Payment[] payments){
        StringBuilder paymentSB = new StringBuilder();
        for (Payment payment : payments){
            paymentSB.append(payment.getShortDescription() + "\n");
        }
        return paymentSB.toString();

    }

    public String toString(Payment[] payments) {
        Arrays.sort(payments);
        return stringGenerator(payments);
    }

    public String toStringById(Payment[] payments) {
        Arrays.sort(payments, comparator);
        return stringGenerator(payments);
    }

    public String toStringByPayerName(Payment[] payments) {
        PaymentSortByPayer parser = new PaymentSortByPayer();
        Arrays.sort(payments, parser);
        return stringGenerator(payments);
    }

}
